# std::atomic<T>::exchange

From cppreference.com
< cpp‎ | atomic‎ | atomic

|  | (since C++11)
T exchange( T desired, std::memory_order order = std::memory_order_seq_cst ) noexcept; |  |
T exchange( T desired, std::memory_order order = std::memory_order_seq_cst ) volatile noexcept; |  |

Atomically replaces the underlying value with `desired`. The operation is read-modify-write operation. Memory is affected according to the value of `order`.

### Parameters

desired | - | value to assign
order | - | memory order constraints to enforce

### Return value

The value of the atomic variable before the call.

### See also

atomic_exchange atomic_exchange_explicit (C++11)(C++11) | atomically replaces the value of the atomic object with non-atomic argument and returns the old value of the atomic (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/atomic/atomic/exchange&oldid=93064"